From 37633dddd28c6af114a94ec9d045005bcd7fb4ed Mon Sep 17 00:00:00 2001
From: jcoleman <jtc331@gmail.com>
Date: Wed, 31 Jan 2024 20:47:17 -0500
Subject: [PATCH v1] Guard set_cheapest with pathlist NIL check

We do this elsewhere, and there's no reason we have to be adding entries
to pathlist in the gather_grouping_paths call.
---
 src/backend/optimizer/plan/planner.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/src/backend/optimizer/plan/planner.c b/src/backend/optimizer/plan/planner.c
index 2e2458b128..3214b6e863 100644
--- a/src/backend/optimizer/plan/planner.c
+++ b/src/backend/optimizer/plan/planner.c
@@ -3945,7 +3945,8 @@ create_ordinary_grouping_paths(PlannerInfo *root, RelOptInfo *input_rel,
 	if (partially_grouped_rel && partially_grouped_rel->partial_pathlist)
 	{
 		gather_grouping_paths(root, partially_grouped_rel);
-		set_cheapest(partially_grouped_rel);
+		if (partially_grouped_rel->pathlist)
+			set_cheapest(partially_grouped_rel);
 	}
 
 	/*
-- 
2.39.3 (Apple Git-145)

